/* stylesheet for the list and details view of presentations, in development */
@import "da-program.css";
:root {
  --footer__min-height:65px;
  --navbar-input-width:5em;
}
body.select {
  grid-template-rows: var(--headerbar-height) 1fr var(--footer__min-height);
}
select {
  --field-width: 10em;
}
.container header {
  background-color: var(--yellow);
  color:black;
  outline: solid var(--line-hair) black;
  position:sticky;
  top:80px;
  z-index:2;
}
header button.icon {
  color: var(--blue);
}
a.link-to-article {
  text-decoration: none;
}
/*  author */
.author {
  font-size:1.05em;
  font-weight:bold;
  color: var(--red);
  display:block;
  margin:0;
  margin-top:1em;
}
.author.next {
/*  visibility:hidden;*/
  display:none;
}
.row[filtered=false] + .row[filtered=true] .author.next {
/*  visibility:visible;*/
  display:block;
}
/*  row separation, list item presentation */
div.row {
  font-size:1.05em;
  margin-left:3em;
  text-indent: -3em;
}
.year-title {
  margin-left:3em;
  text-indent: -3.5em;
}
.year {
  color:#333;
  font-weight:bold;
}
.year::after {
  content: '\2003';
  background-color: white;
}
.type {
  font-style:italic;
}
.type::before {
  content: ' |\a0';
  font-style: normal;
}
.title {
  font-weight:bold;
}

/*  single record view */
body.details h1 {
  font-size:1.5em;
  line-height:1.5em;
}
body.details div.author {
  font-size:1.5em;
  font-weight: normal;
  color: black;
  position:relative;
  margin:0;
}
body.details .author a {
  text-decoration: none;
}
.affiliation {
  font-size:.7em;
  color: var(--red);
}
/*  provide a separator between author and affiliation, now the orcid is not there */
.affiliation:before {
  content: ' |\a0';
  font-style: normal;
  color: #333;
}
.orcid + .affiliation:before {
  content: '';
}

.orcid {
  display: inline-block;
  position: relative;
  padding: 0;
  margin: 0;
  margin-right: .25em;
  transform: scale(0.7);
  top: .3em;
}
.type-date {
  margin-top: 1em;
}
div.summary {
  margin-top: 2em;
  font-size:.95em;
  border:none;
  padding:0;
}
div.bionotes {
  margin: 1em 0;
  padding:1em;
  background-color:var(--yellow);
  font-size:.9em;
  font-style: italic;
  
}
.bionotes p {
  font-family:"Iosevka Web";
}
.links {
  margin-top:1em;
}
.links button:first-of-type {
  margin-left: 0;
}
@media screen and (min-width: 601px) {
  /* make the orcid hanging in the left before the author name */
  .orcid {
    position: absolute;
    left: -1.75em;
    margin-right: 1em;
    top:0;
    transform:scale(.85);
  }
  .orcid + .affiliation:before {
    content: ' |\a0';
  }
  /*  some extra space between the authors */
  body.details .author + .author {
    margin-top:.35em;
  }


}